$(function() {
    const vueoptions={
        data() {
            return _.merge(window.jsdatacontrolpanel, window.jsdata);
        },

        methods: {
            formatDateTime: function(date) {
                return ((!!date) ? (moment(date).isValid() ? moment(date).format('DD.MM.YYYY, HH:mm') : '') : '');
            },

            relativeDate: function(date) {
                var vm=this;
                moment.locale(vm.locale);
                return ((!!date) ? (moment(date).isValid() ? moment(date).fromNow() : '') : '');
            },

            updatemessages: function () {
                var vm=this;

                axios.post(vm.adminurl + '/feedback/getlistmessages')
                .then(function(response) {
                        vm.listmessages=response.data.listmessages;

                        iziToast.show({
                            title: vm.$t('Update successfully'),
                            icon: 'ico-success',
                            layout: 1,
                            position: 'bottomLeft',
                            transitionOut: 'fadeOutLeft'
                        });
                    })
                    .catch(function(error) {
                        iziToast.error({title: vm.$t('Feed back'), message: vm.$t('Update error, try again later')});
                    });

            },

            deletemessage: function(mindx) {
                var vm=this;
                var buftitle='<br /><b>' + ((vm.listmessages[mindx].petitioner == null) ? '' : ('"' + vm.listmessages[mindx].petitioner + '" ')) + '(#' + vm.listmessages[mindx].id +')</b>';
                UIkit.modal.confirm('<p class="uk-text-center">' + vm.$t('Really delete message?') + buftitle + '</p>', {
                    'bgClose': true,
                    'escClose': true,
                    'i18n': {'ok': vm.$t('Yes'), 'cancel': vm.$t('No')}
                }).then(function() {

                    axios.post(vm.adminurl + '/feedback/deletemessage/' + vm.listmessages[mindx].id)
                    .then(function(response) {
                        if (response.data.res === true) {
                            vm.listmessages.splice(mindx, 1);

                            iziToast.show({
                                title: vm.$t('Delete successfully'),
                                icon: 'ico-success',
                                layout: 1,
                                position: 'bottomLeft',
                                transitionOut: 'fadeOutLeft'
                            });
                        } else {
                            iziToast.warning({title: vm.$t('Feed back'), message: vm.$t(response.msg)});
                        }
                    })
                    .catch(function(error) {
                        iziToast.error({title: vm.$t('Feed back'), message: vm.$t('Delete error') + '<br />' + error.response.msg});
                    });

                });
            },
        }
    }
    Vue.createApp(vueoptions).use(window.vuei18n).mount('#main');
});