//import {en_US} from '/angiv/asset/language/en_US/client.js'
//import {ru_RU} from '/angiv/asset/language/ru_RU/client.js'

$(function() {
    const dictionarys = {
        'en_US': {
            "Close": "Close",
            "Enter message text": "Enter message text",
            "Letter to developer": "Letter to developer",
            "Message text": "Message text",
            "Save successfully": "Save successfully",
            "Send": "Send",
        },
        'ru_RU': {
            "Close": "Закрыть",
            "Enter message text": "Введите текст сообщения",
            "Letter to developer": "Письмо разработчику",
            "Message text": "Текст сообщения",
            "Save successfully": "Сохранение успешно",
            "Send": "Отправить",
        }
    }
    vuei18n=VueI18n.createI18n({
        locale: window.jsdatasite['locale'],
        fallbackLocale: 'en_US',
        messages: dictionarys //messages: {en_US, ru_RU}
    });

    const vueoptions={
        data() {
            return _.merge({'vuejwtdata': window.jsjwtdata}, {
                'messagetext': ''
            });
        },

        directives: {
            textautoresize: {mounted(el) {autosize($(el));}}
        },

        mounted() {
            var vm=this;
            vm.$nextTick(function () {
                UIkit.util.on('#modalfeedback', 'shown', function () {
                    vm.newhomeurl=vm.homeurl;
                });
                /*
                UIkit.util.on('#modalfeedback', 'hidden', function () {
                    vm.messagetext='';
                });
                */
            });
        },

        methods: {
            sendmessage: function() {
                var vm=this;
                if (!!!vm.messagetext || vm.messagetext == null || vm.messagetext == '') {
                    iziToast.question({title: vm.$t('Enter message text')});
                    $('textarea[name=FEEDBACKMESSAGETEXT]').addClass('uk-form-question');
                    animateCSS('#iconmessagetext', 'headShake').then(() => {
                        $('textarea[name=FEEDBACKMESSAGETEXT]').removeClass('uk-form-question').focus();
                    });
                    return false;
                }

                axios.post('/feedback/savemessagetext', {'messagetext': vm.messagetext})
                .then(function(response) {
                    if (response.data.res === true) {
                        UIkit.modal('#modalfeedback').hide();
                        vm.messagetext='';

                        iziToast.show({
                            title: '<h4 class="uk-heading-line uk-text-center ang-color-white"><span>' + vm.$t('Сообщение отправлено успешно') + '</span></h4>',
                            message: '<h5 class="ang-color-white uk-text-justify">' + vm.$t('Спасибо, что воспользовались формой обратной связи.<br />Мы стараемся стать лучше для Вас!') + '</h5>',
                            //maxWidth: '400px',
                            color: 'blue',
                            image: 'onlyforborder.png',
                            imageWidth: 30,
                            icon: 'ico-success',
                            timeout: 6000,
                            overlay: true,
                            overlayClose: true,
                            closeOnEscape: true,
                            closeOnClick: true,
                            transitionOut: 'fadeOutLeft'
                        });
                    } else {
                        iziToast.warning({title: vm.$t('Letter to developer'), message: response.msg});
                    }
                })
                .catch(function(error) {
                    iziToast.error({title: vm.$t('Letter to developer'), message: vm.$t('Save error') + '<br />' + error.response.msg});
                });

            },
        }
    }
    Vue.createApp(vueoptions).use(vuei18n).mount('#widgetfeedback');
});