<?php

namespace Plugin\feedback\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use App\response\customResponse;

class ajaxadminController
{
    /**
     * @route({"url": "getlistmessages", "methods": ["post"]})
     */
    public static function getlistmessages(Request $request = null, Response $response = null) {
        try {
            $res=['listmessages' => []];
            if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
                $tablename=str_replace('"', '', $db->tableQuote('feedback'));
                if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() !== false) {
                    $res['listmessages']=$db->select('feedback', '*', ['ORDER' => ['datecreate' => 'DESC']]);
                }
            }

            if (!empty($response)) {return customResponse::json($response, $res);} else {return $res;}
        } catch (\Exception $e) {
            if (!empty($response)) {return customResponse::abort($e->getMessage(), $request);} else {return $res;}
        }
    }

    /**
     * @route({"url": "deletemessage[/{messageid}]", "methods": ["post"]})
     */
    public static function deletemessage(Request $request, Response $response, $messageid = null) {
        try {
            $res=false; $msg=__('Input parameter error');
            if (!empty($messageid)) {
                if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
                    $tablename=str_replace('"', '', $db->tableQuote('feedback'));
                    if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() !== false) {
                        $db->delete('feedback', ['id' => $messageid]);
                        if (!$db->error) {$res=true;}
                    } else {$msg=sprintf(__('Table "%s" does not exist'), $tablename);}
                } else {$msg=__('Connection to database failed');}
            }

            return customResponse::json($response, ['res' => $res, 'msg' => $msg]);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}