<?php

namespace Plugin\hello\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use Slim\Exception\HttpException;
use Symfony\Component\{
    Mime\Email,
    Mailer\Exception\TransportExceptionInterface
};
use Egulias\EmailValidator\{
    EmailValidator,
    Validation\RFCValidation
};
use App\response\customResponse;

class ajaxadminController
{
    /**
     * @route({"url": "getadmintext[/{id}]", "methods": ["post"]})
     */
    public static function getadmintext(Request $request, Response $response, $id = '') {
        $params=$request->getQueryParams();
        $data=$request->getParsedBody();

        try {
            //$container=$GLOBALS['app']->getContainer();
            $res=['res' => true, 'text admin' => __('Example text'), 'id' => $id, 'params' => $params, 'data' => $data];
            return customResponse::json($response, $res);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }

    /**
     * @route({"url": "sendadminmail", "methods": ["post"]})
     */
    public static function sendadminmail(Request $request, Response $response) {
        $recipient=$request->getParsedBody()['recipient'];

        try {
            $validator=new EmailValidator();
            if ($validator->isValid($recipient, new RFCValidation()) === true) {
                $container=$GLOBALS['app']->getContainer();
                if (!empty($mailer=$container->get('mailer'))) {
                    $email=(new Email())->from(env('APP_MAIL_USER'))->to($recipient)
                        ->subject(__('Test letter'))
                        ->html('<h1>' . __('Example text') . '</h1>');
                }
            } else {
                return customResponse::abort(__('Email address verification error'), $request);
            }
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }

        try {
            if (!empty($mailer) && !empty($email)) {
                $mailer->send($email);
                return customResponse::json($response, ['msg' => __('Email sent successfully')]);
            } else {
                return customResponse::abort(__('Initialization mail has not been completed'), $request);
            }
        } catch (\TransportExceptionInterface $e) {
            return customResponse::abort($e->getDebug(), $request);
        }
    }
}