<?php

namespace Plugin\hello\src\controller\user;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;
use App\response\customResponse;

class pagejsonController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response, $param1 = '', $param2 = '') {
        $logger=$this->container->get('logger');
        $logger->info('user pagejsonController ' . __('successfully completed'));

        $res=[
            'Example url' => '.../userpagejson/param1/param2?key1=val1&key2=val2',
            'Controller' => 'user pagejsonController',
            'Url param 1' => $param1,
            'Url param 2' => $param2,
            'Query params' => $request->getQueryParams(),
            'Log file status' => __('User record created successfully')
        ];

        return customResponse::json($response, $res);

        /*
        $response->getBody()->write('<p>Example url: .../userpagejson/param1/param2?key1=val1&key2=val2</p>');
        $response->getBody()->write('<p>Controller: user pagejsonController</p>');
        $response->getBody()->write('<p>Url param 1: ' . $param1 . '</p>');
        $response->getBody()->write('<p>Url param 2: ' . $param2 . '</p>');
        $response->getBody()->write('<p>Query params: ' . implode('|', $request->getQueryParams()) . '</p>');
        $response->getBody()->write(sprintf('<p>%s: %s</p>', __('Log file status'), __('User record created successfully')));

        return $response;
        */
    }
}