$(function() {
    const vueoptions={
        data() {
            return _.merge(window.jsdatacontrolpanel, window.jsdata, {
                'useredit': {}
            });
        },

        watch: {
            'useredit.login': function (newval) {
                var vm=this;
                vm.useredit.login=vm.lowerCharacter(newval);
            },
            'useredit.roles': function (newval) {
                var vm=this;
                vm.useredit.roles=vm.lowerCharacter(newval);
            },
            /*
            'useredit.login': function (newval) {
                var vm=this;
                vm.useredit.login=vm.capitalizeFirstCharacter(newval);
            }
            */
        },

        directives: {
            textautoresize: {mounted(el) {autosize($(el));}}
        },

        mounted() {
            var vm=this;

            vm.$nextTick(function () {
                window.jsdata=null;

                UIkit.util.on('#modaluseredit', 'shown', function () {
                    vm.newhomeurl=vm.homeurl;
                });
                UIkit.util.on('#modaluseredit', 'hidden', function () {
                    vm.useredit={};
                });
            });
        },

        methods: {
            /*
            {{ $t(item.location[0].toUpperCase() + item.location.slice(1)) }}
            capitalizeFirstCharacter: (str) => {
                str=$.trim(str);
                return (!!str && str != null) ? str.charAt(0).toUpperCase() + str.slice(1).toLowerCase() : str;
            },
            */
            lowerCharacter: (str) => {
                return $.trim(str).toLowerCase();
            },

            adduser: function(userid) {
                var vm=this;
                var uindx=_.findIndex(vm.usersdb, {'id': userid});
                if (uindx != -1) {vm.useredit=_.cloneDeep(vm.usersdb[uindx]);}
                UIkit.modal('#modaluseredit').show();
            },

            saveuser: function() {
                var vm=this;
                var login=vm.useredit.login; //$('input[name=USERLOGIN]').val();
                if (!!!login || login == null || login == '') {
                    iziToast.question({title: vm.$t('Enter login')});
                    $('input[name=USERLOGIN]').removeClass('uk-form-blank').addClass('uk-form-question');
                    animateCSS('#iconlogin', 'headShake').then(() => {
                        $('input[name=USERLOGIN]').removeClass('uk-form-question').addClass('uk-form-blank').focus();
                    });
                    return false;
                }
                var password=vm.useredit.password; //$('input[name=USERPASSWORD]').val();
                if (!!!password || password == null || password == '') {
                    iziToast.question({title: vm.$t('Enter password hash')});
                    $('input[name=USERPASSWORD]').removeClass('uk-form-blank').addClass('uk-form-question');
                    animateCSS('#iconpassword', 'headShake').then(() => {
                        $('input[name=USERPASSWORD]').removeClass('uk-form-question').addClass('uk-form-blank').focus();
                    });
                    return false;
                }
                var email=vm.useredit.email; //$('input[name=USEREMAIL]').val();
                if (!!email && email != null && email != '' && !validator.isEmail(email)) {
                    iziToast.question({title: vm.$t('Enter email')});
                    $('input[name=USEREMAIL]').removeClass('uk-form-blank').addClass('uk-form-question');
                    animateCSS('#iconemail', 'headShake').then(() => {
                        $('input[name=USEREMAIL]').removeClass('uk-form-question').addClass('uk-form-blank').focus();
                    });
                    return false;
                }

                axios.post(vm.adminurl + '/users/adduser', vm.useredit)
                .then(function(response) {
                    if (response.data.res === true) {
                        if (!!!vm.useredit.id || vm.useredit.id == null) {
                            vm.usersdb.push(_.merge(vm.useredit, {'id': response.data.newuserid}));
                        } else {
                            var uindx=_.findIndex(vm.usersdb, {'id': vm.useredit.id});
                            if (uindx != -1) {
                                vm.usersdb[uindx]=vm.useredit;
                            } else {
                                iziToast.warning({title: vm.$t('User management'), message: vm.$t('Error, please try again later')});
                            }
                        }
                        UIkit.modal('#modaluseredit').hide();

                        iziToast.show({
                            title: vm.$t('Save successfully'),
                            icon: 'ico-success',
                            layout: 1,
                            position: 'bottomLeft',
                            transitionOut: 'fadeOutLeft'
                        });
                    } else {
                        iziToast.warning({title: vm.$t('User management'), message: response.msg});
                    }
                })
                .catch(function(error) {
                    iziToast.error({title: vm.$t('User management'), message: vm.$t('Save error') + '<br />' + error.response.msg});
                });

            },

            deleteuser: function(uindx) {
                var vm=this;
                var buftitle='<br /><b>"' + vm.usersdb[uindx].login + '" (#' + vm.usersdb[uindx].id +')</b>';
                //buftitle=' "' + ((buftitle.length > 15) ? (buftitle.substring(0, 15) + '...') : buftitle) + '"?';
                //var limit=25; buftitle=(buftitle.length > limit) ? buftitle.substring(0, limit) + '...' : buftitle;
                UIkit.modal.confirm('<p class="uk-text-center">' + vm.$t('Really delete user?') + buftitle + '</p>', {
                    'bgClose': true,
                    'escClose': true,
                    'i18n': {'ok': vm.$t('Save'), 'cancel': vm.$t('Cancel')}
                }).then(function() {

                    axios.post(vm.adminurl + '/users/deleteuser/' + vm.usersdb[uindx].id)
                    .then(function(response) {
                        if (response.data.res === true) {
                            vm.usersdb.splice(uindx, 1);

                            iziToast.show({
                                title: vm.$t('Delete successfully'),
                                icon: 'ico-success',
                                layout: 1,
                                position: 'bottomLeft',
                                transitionOut: 'fadeOutLeft'
                            });
                        } else {
                            iziToast.warning({title: vm.$t('User management'), message: vm.$t(response.msg)});
                        }
                    })
                    .catch(function(error) {
                        iziToast.error({title: vm.$t('User management'), message: vm.$t('Delete error') + '<br />' + error.response.msg});
                    });

                });
            }
        }
    }
    Vue.createApp(vueoptions).use(window.vuei18n).mount('#main');
});