<div v-cloak>
    <div class="uk-text-center ang-margin-bottom20 uk-position-relative">
        <h3 class="uk-position-top-center uk-margin-remove uk-visible@s">{{ $t('Users') }}</h3>

        <div class="uk-text-right">
            <button class="ang-button ang-button-primary ang-margin-left10" @click.prevent="adduser()" :disabled="(databaseuse !== true)" :uk-tooltip="$t('Add database user')">{{ $t('Add') }}</button>
        </div>
    </div>

    <div class="uk-overflow-auto">
        <table class="uk-table uk-table-divider uk-table-hover uk-table-small uk-table-middle uk-margin-remove">
            <thead>
                <tr>
                    <th class="uk-table-shrink uk-text-center">ID</th>
                    <th class="uk-width-auto uk-text-center">{{ $t('Login') }}</th>
                    <th class="uk-table-expand uk-text-center">{{ $t('Password') }}</th>
                    <th class="uk-table-shrink uk-text-center">{{ $t('Email') }}</th>
                    <th class="uk-width-auto uk-text-center" colspan="2"><i uk-icon="cog"></i></th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td class="uk-text-center uk-alert-warning" colspan="6">
                        <i class="ang-margin-right5" uk-icon="tag"></i>
                        {{ $t('Users') }} <span class="uk-badge uk-label-warning">&ldquo;/angiv/config/config.env&rdquo;</span>
                    </td>
                </tr>
                <tr v-if="(!usersenv || usersenv.length == 0)">
                    <td class="uk-text-center" colspan="6">{{ $t('No data available') }}</td>
                </tr>
                <tr v-for="(item, index) in usersenv" v-else>
                    <td class="uk-text-center" colspan="2">
                        <span class="uk-badge">{{ index }}</span>
                    </td>

                    <td>
                        {{ item[0] }}
                    </td>

                    <td>
                        {{ item[1] }}
                    </td>

                    <td class="uk-text-center" colspan="2"><span class="uk-badge ang-bg-light-grey">{{ $t('Editing in file') }}</span></td>
                </tr>

                <template v-if="(databaseuse === true)">
                    <tr>
                        <td class="uk-text-center uk-alert-warning" colspan="6">
                            <i class="ang-margin-right5" uk-icon="tag"></i>
                            {{ $t('Users') }} <span class="uk-badge uk-label-warning">{{ $t('database') }}</span>
                        </td>
                    </tr>
                    <tr v-if="(!usersdb || usersdb.length == 0)">
                        <td class="uk-text-center" colspan="6">{{ $t('No data available') }}</td>
                    </tr>
                    <tr v-for="(item, index) in usersdb" v-else>
                        <td class="uk-text-center">
                            #{{ item['id'] }}
                        </td>

                        <td class="uk-text-center">
                            <span class="uk-badge">{{ item['login'] }}</span>
                        </td>

                        <td>
                            {{ item['password'] }}
                        </td>

                        <td>
                            {{ item['email'] }}
                        </td>

                        <td class="uk-text-center">
                            <i class="uk-icon-button uk-link" uk-icon="pencil" @click.prevent="adduser(item['id'])" :uk-tooltip="$t('Edit')"></i>
                        </td>

                        <td class="uk-text-center">
                            <i class="uk-icon-button uk-link" uk-icon="trash" @click.prevent="deleteuser(index)" :uk-tooltip="$t('Delete')"></i>
                        </td>
                    </tr>
                </template>
            </tbody>
        </table>
    </div>

    <div id="modaluseredit" uk-modal="esc-close: false; bg-close: false;">
        <div class="uk-modal-dialog" style="width: 600px;">
            <div class="uk-modal-body">
                <h4 class="dotted-underline-bottom ang-padding-bottom10 uk-text-center">
                    <span v-if="(useredit.id)">{{ $t('User') + ' #' + useredit.id }}</span><span v-else>{{ $t('New user') }}</span>
                </h4>
                <button class="uk-modal-close-default contrast" type="button" uk-close></button>

                <form class="uk-form-horizontal">
                    <div class="uk-line-hover">
                        <label class="uk-form-label ang-padding-left10" for="form-login">{{ $t('Login') }}</label>
                        <div class="uk-form-controls">
                            <div class="uk-inline uk-width-1-1">
                                <i id="iconlogin" class="uk-form-icon ang-color-orange" :class="{'ang-color-green': useredit.login}" :uk-icon="(useredit.login ? 'check' : 'warning')"></i>
                                <input name="USERLOGIN" id="form-login" class="uk-input uk-form-blank" type="text" :placeholder="$t('Enter login')" maxlength="64" v-model="useredit.login">
                            </div>
                        </div>
                    </div>

                    <div class="uk-line-hover">
                        <label class="uk-form-label ang-padding-left10" for="form-password">{{ $t('Password') }} <a href="https://phppasswordhash.com" class="uk-text-meta" target="_blank">(phppasswordhash.com)</a></label>
                        <div class="uk-form-controls">
                            <div class="uk-inline uk-width-1-1">
                                <i id="iconpassword" class="uk-form-icon ang-color-orange" :class="{'ang-color-green': useredit.password}" :uk-icon="(useredit.password ? 'check' : 'warning')"></i>
                                <input name="USERPASSWORD" id="form-password" class="uk-input uk-form-blank" type="text" :placeholder="$t('Enter password hash')" maxlength="255" v-model="useredit.password">
                            </div>
                        </div>
                    </div>

                    <div class="uk-line-hover">
                        <label class="uk-form-label ang-padding-left10" for="form-email">{{ $t('Email') }}</label>
                        <div class="uk-form-controls">
                            <div class="uk-inline uk-width-1-1">
                                <i id="iconemail" class="uk-form-icon" :class="{'ang-color-green': useredit.email}" :uk-icon="(useredit.email ? 'check' : 'pencil')"></i>
                                <input name="USEREMAIL" id="form-email" class="uk-input uk-form-blank" type="text" :placeholder="$t('Enter email')" maxlength="255" v-model="useredit.email">
                            </div>
                        </div>
                    </div>

                    <div class="uk-line-hover">
                        <label class="uk-form-label ang-padding-left10" for="form-roles">{{ $t('Roles') }}</label>
                        <div class="uk-form-controls">
                            <div class="uk-inline uk-width-1-1">
                                <i id="iconroles" class="uk-form-icon" :class="{'ang-color-green': useredit.roles}" :uk-icon="(useredit.roles ? 'check' : 'pencil')"></i>
                                <textarea name="USERROLES" id="form-roles" class="uk-input ang-textautosize" type="text" :placeholder="$t('Enter list roles')" maxlength="3000" v-model="useredit.roles" v-textautoresize></textarea>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            <div class="uk-modal-footer uk-text-right">
                <button class="ang-button ang-button-minor uk-modal-close">{{ $t('Close') }}</button>

                <button class="ang-button ang-margin-left10" @click.prevent="saveuser()">{{ $t('Save') }}</button>
            </div>
        </div>
    </div>
</div>