<!DOCTYPE html>
<html>
<head>
    <link href="/favicon.ico" rel="shortcut icon" type="image/x-icon">
    <title><?= $title ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php if (!empty($seo)) { ?>
    <meta name="description" content="<?= $seo['description'] ?>">
    <meta name="keywords" content="<?= $seo['keywords'] ?>">
    <link rel="canonical" href="<?= $seo['canonicalurl'] ?>">
<?php } ?>
<?php if (!empty($ogseo)) { ?>
    <meta property="og:title" content="<?= $title ?>">
    <meta property="og:site_name" content="<?= $ogseo['ogsitename'] ?>">
    <meta property="og:description" content="<?= $ogseo['ogdescription'] ?>">
    <meta property="og:type" content="<?= $ogseo['ogtype'] ?>">
    <meta property="og:url" content="<?= $ogseo['ogurl'] ?>">
    <meta property="og:image" content="<?= $ogseo['ogimage'] ?>">
<?php } ?>

<?php foreach ($css ?? [] as $item) {echo sprintf('    <link rel="stylesheet" type="text/css" href="%s"' . (($item['attr'] == 'async') ? (' media="none" onload="if(media!=\'all\'){media=\'all\';this.onload=null;}"><noscript><link rel="stylesheet" type="text/css" href="%s"></noscript') : '') . '>', $item['href'], $item['href']), PHP_EOL;} ?>
    <link rel="stylesheet" type="text/css" href="/angiv/theme/css/template.css">

    <script>window.$csrf=<?= $phpcsrf ?>;</script>
<?php foreach ($js ?? [] as $item) {echo sprintf('    <script type="%s" src="%s"%s></script>', $item['type'], $item['src'], $item['attr']), PHP_EOL;} ?>
    <script type="text/javascript" src="/angiv/theme/js/template.js"></script>
</head>
<body>
    <?= $content ?>

    <div id="wait"></div>

    <script>
        window.jsdatasite=<?= json_encode($phpdatasite ?? [], JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE/* | JSON_NUMERIC_CHECK*/ | JSON_PRESERVE_ZERO_FRACTION) ?>;
        window.jsjwtdata=<?= json_encode($phpjwtdata ?? [], JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE/* | JSON_NUMERIC_CHECK*/ | JSON_PRESERVE_ZERO_FRACTION) ?>;
        window.jsdata=<?= json_encode($phpdata ?? [], JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE/* | JSON_NUMERIC_CHECK*/ | JSON_PRESERVE_ZERO_FRACTION) ?>;
    </script>
</body>
</html>