$(function() {
    const vueoptions={
        data() {
            return _.merge(window.jsdatacontrolpanel, window.jsdata);
        },

        mounted() {
            var vm=this;

            vm.$nextTick(function () {
                window.jsdata=null;

                UIkit.util.on('#pluginlist', 'start', function () {
                    $('.uk-sortable-drag').html('<span class="ang-margin10 ang-color-white uk-text-italic">' + vm.$t('Move to desired position') + '...</span>');
                });
                UIkit.util.on('#pluginlist', 'stop', function (e, list) {
                    _.forEach(list.items, function(item, indx) {
                        var pindx=_.findIndex(vm.plugins, {'dir': UIkit.util.data(item, 'pluginid')});
                        vm.plugins[pindx].priority=indx + 1;
                    });
                    vm.saveplugins(vm.$t('Position change successful'));
                });

                UIkit.util.on('#modalpagehome', 'shown', function () {
                    vm.newhomeurl=vm.homeurl;
                });
                UIkit.util.on('#modalpagehome', 'hidden', function () {
                    vm.pluginlistpages=[];
                    vm.pluginactiveindx=null;
                    vm.newhomeurl='';
                });
            });
        },

        methods: {
            divideurl: function(url) {
                var vm=this;
                var urloptions = '';
                var posoptions=url.search(/\[\/|\/{/);
                if (posoptions != -1) {
                    urloptions=url.substring(posoptions);
                    url=url.substring(0, posoptions);
                }
                return '<a href="' + (('/' + vm.plugins[vm.pluginactiveindx].dir + url == vm.newhomeurl) ? '/' : url) + '" target="_blank" class="ang-color-white uk-text-bold">' + url + '</a>' +
                       '<i class="ang-color-verylight-grey">' + urloptions + '</i>';
            },

            changehomepage: function(pindx) {
                var vm=this;

                axios.post(vm.adminurl + '/plugins/listpagesuserplugin', {'dir': vm.plugins[pindx].dir})
                    .then(function(response) {
                        vm.pluginactiveindx=pindx;
                        vm.pluginlistpages=response.data;
                        UIkit.modal('#modalpagehome').show();
                    })
                    .catch(function(error) {
                        iziToast.error({title: vm.$t('Plugins'), message: vm.$t('Main page select error') + '<br />' + error.response.msg});
                    });

            },

            clearplugins: function() {
                var vm=this;
                vm.homeurl='';
                vm.plugins=[];
                vm.saveplugins(vm.$t('Removal successful'));
            },

            updateplugins: function() {
                var vm=this;

                axios.post(vm.adminurl + '/plugins/getlistplugins')
                    .then(function(response) {
                        if (response.data.res === true) {
                            var pindx=-1;
                            _.forEach(vm.plugins, function(item, indx) {
                                pindx=_.findIndex(response.data.plugins, {'dir': item.dir});
                                if (pindx != -1) {
                                    item.name=response.data.plugins[pindx].name;
                                    item.icon=response.data.plugins[pindx].icon;
                                    item.version=response.data.plugins[pindx].version;
                                    item.tags=response.data.plugins[pindx].tags;
                                    item.scriptdatabase=response.data.plugins[pindx].scriptdatabase;
                                    item.isremoved='no';
                                } else {
                                    item.isremoved='yes';
                                }
                            });
                            var priority=Object.keys(vm.plugins).length;
                            _.forEach(response.data.plugins, function(item, indx) {
                                pindx=_.findIndex(vm.plugins, {'dir': item.dir});
                                if (pindx == -1) {
                                    item.priority=++priority;
                                }
                            });
                            vm.plugins=_.unionBy(vm.plugins, response.data.plugins, 'dir');
                            vm.saveplugins(vm.$t('Update successfully'));
                        } else {
                            iziToast.warning({title: vm.$t('Plugins'), message: vm.$t('Update error, please try again later.') + response.data});
                        }
                    })
                    .catch(function(error) {
                        iziToast.error({title: vm.$t('Plugins'), message: vm.$t('Update error') + '<br />' + error.response.msg});
                    });

            },

            statusplugin: function(pitem) {
                var vm=this;
                pitem.isused=(pitem.isused == 'on') ? 'off' : 'on';
                vm.saveplugins(vm.$t('Status change successful'));
            },

            executescriptdatabaseplugin: function(pitem) {
                var vm=this;

                axios.post(vm.adminurl + '/' + pitem.dir +'/executescriptdatabase')
                    .then(function(response) {
                        if (response.data.res === true) {
                            iziToast.success({title: vm.$t('Database script') + ' "' + pitem.dir + '"', message: vm.$t('Execution is successful')});
                        } else {
                            iziToast.warning({title: vm.$t('Database script'), message: vm.$t(response.msg)});
                        }
                    })
                    .catch(function(error) {
                        iziToast.error({title: vm.$t('Database script') + ' "' + pitem.dir + '"', message: vm.$t('Execution error, details in console') + '<br />' + error.response.msg});
                    });

            },

            deleteplugin: function(pitem) {
                var vm=this;
                iziToast.question({
                    message: vm.$t('Remove plugin') + ' "' + pitem.name + '"',
                    //image: '/angiv/plugin/' + pitem.dir + '/' + pitem.icon,
                    //imageWidth: 50,
                    position: 'center',
                    overlay: true,
                    timeout: false,
                    layout: 1,
                    buttons: [
                        ['<button><b>' + vm.$t('Yes') + '</b></button>', function (instance, toast) {
                            instance.hide({transitionOut: 'fadeOut'}, toast, 'yes');
                        }, true],
                        ['<button>' + vm.$t('No') + '</button>', function (instance, toast) {
                            instance.hide({transitionOut: 'fadeOut'}, toast, 'no');
                        }],
                    ],
                    onClosing: function(instance, toast, closedBy){
                        if (closedBy == 'yes') {
                            if (pitem.homeurl == vm.homeurl) {vm.homeurl='';}
                            var delindx=_.findIndex(vm.plugins, {'dir': pitem.dir});
                            if (delindx != -1) {
                                vm.plugins.splice(delindx, 1);
                                vm.saveplugins(vm.$t('Removal successful'));
                            } else {
                                iziToast.warning({title: vm.$t('Plugins'), message: vm.$t('Error, please try again later')});
                            }
                        }
                    }
                });
            },

            saveplugins: function(msg, ismaindelete) {
                var vm=this;

                var bufplugins=_.cloneDeep(vm.plugins);
                if ($('#modalpagehome').css('display') != 'none' || ismaindelete === true) {
                    _.forEach(bufplugins, function (item, indx) {item.homeurl='';});
                    if (vm.pluginactiveindx != null) {bufplugins[vm.pluginactiveindx]['homeurl']=vm.newhomeurl;}
                }

                axios.post(vm.adminurl + '/plugins/saveplugins', bufplugins)
                    .then(function(response) {
                        if (response.data === true) {
                            if ($('#modalpagehome').css('display') != 'none' || ismaindelete === true) {
                                vm.homeurl=vm.newhomeurl;
                                vm.plugins=bufplugins;
                                UIkit.modal('#modalpagehome').hide();
                            }

                            iziToast.show({
                                title: (!!msg) ? msg : vm.$t('Save successfully'),
                                icon: 'ico-success',
                                layout: 1,
                                position: 'bottomLeft',
                                transitionOut: 'fadeOutLeft'
                            });
                        }
                        else {
                            iziToast.warning({title: vm.$t('Plugins'), message: vm.$t('Error, please try again later')});
                        }
                    })
                    .catch(function(error) {
                        iziToast.error({title: vm.$t('Plugins'), message: vm.$t('Save error') + '<br />' + error.response.msg});
                    });

            }
        }
    }
    Vue.createApp(vueoptions).use(window.vuei18n).mount('#main');
});