import {en_US} from '/angiv/asset/language/en_US/client.js'
import {ru_RU} from '/angiv/asset/language/ru_RU/client.js'

window.vuei18n=VueI18n.createI18n({
    locale: window.jsdatacontrolpanel['locale'],
    fallbackLocale: 'en_US',
    messages: {en_US, ru_RU}
});

const vueoptions={
    data() {
        return _.merge(window.jsdatacontrolpanel, {'vuejwtdata': window.jsjwtdata});
    },

    computed: {
        usedplugins: function() {
            var vm=this;
            return Object.values(vm.plugins).filter(function(item) {
                if (item.isused == 'on' || _.indexOf(item.tags, 'alwaysuse') != -1) {return item;}
            });
        },

        pluginindxcurrenturl: function() {
            var vm=this;
            var res=-1;
            if (vm.currenturl != '') {
                _.forEach(vm.plugins, function(item1, indx1) {
                    _.forEach(item1.pagesadmin, function(item2, indx2) {
                        if (vm.currenturl == (vm.adminurl + vm.divideurl(item2.url))) {res=indx1; return false;}
                        if (vm.currenturl.indexOf('/sitepages/') != -1 && vm.currenturl.endsWith('/sitepages') === false) {
                            if ((vm.currenturl != vm.adminurl + '/sitepages') && (vm.adminurl + '/sitepages' + item2.url).indexOf(vm.currenturl) == 0) {res=indx1; return false;}
                        }
                    });
                    if (res != -1) {return false;}
                });
            }
            return res;
        }
    },

    mounted() {
        var vm=this;

        vm.$nextTick(function () {
            UIkit.util.on('#slidemenu', 'hidden', function () {
                if (!$(this).hasClass('uk-open')) {
                    $('#hamburger').removeClass('isopen');
                    $('#slidemenu .uk-nav-default > li.uk-parent').each(function(index) {
                        if ($(this).hasClass('uk-open')) {
                            UIkit.nav('#slidemenu .uk-nav-default').toggle(index, false);
                        }
                    });
                }
            });

            $('#hamburger').on('click', function() {
                $(this).toggleClass('isopen');
                if ($(this).hasClass('isopen')) {
                    var scrolltop=self.pageYOffset || (document.documentElement && document.documentElement.scrollTop) || (document.body && document.body.scrollTop);
                    $('#slidemenu .uk-offcanvas-bar').css('top', (
                        $('#header').css('display') == 'none' ? '0px' : ($('#header').offset().top == 0) ? Math.max(110 - scrolltop, 0) + 'px' : '110px'
                    ));
                    UIkit.offcanvas('#slidemenu').show();
                } else {
                    UIkit.offcanvas('#slidemenu').hide();
                }
            });
        });
    },

    methods: {
        divideurl: function(url) {
            var urloptions = '';
            var posoptions=url.search(/\[\/|\/{/);
            if (posoptions != -1) {
                url=url.substring(0, posoptions);
            }
            return url;
        },

        headercontrol: function() {
            var waitclosemenu=false;
            if ($('#slidemenu').css('display') != 'none') {
                waitclosemenu=true;
                UIkit.offcanvas('#slidemenu').hide();
            }
            setTimeout(function() {
                $('#header').slideToggle(500, function() {
                    if (window.localStorage) {localStorage.setItem('headershow', $(this).css('display'));}
                });
            }, (waitclosemenu === true) ? 300 : 0);
        },

        slidemenucontrol: function() {
            $('#hamburger').click();
        },

        logout: function() {
            var vm=this;

            axios.post(vm.adminurl + '/logout')
                .then(function(response) {
                    if (response.data === true) {
                        window.location.href='/';
                    } else {
                        iziToast.warning({title: vm.$t('Control panel'), message: vm.$t('Error, please try again later')});
                    }
                })
                .catch(function() {
                    iziToast.error({title: vm.$t('Control panel'), message: vm.$t('Error, please try again later')});
                });

        },
    }
}
Vue.createApp(vueoptions).use(window.vuei18n).mount('#admin');

if (localStorage.getItem('headershow') == 'none') {$('#header').css('display', 'none');}
$('#headerdate').html(new Date().toLocaleDateString()); new $.stimed({timeTarget: '#headerclock'}).style.create([]);