<div v-cloak>
    <div class="uk-text-center uk-position-relative ang-margin-bottom20">
        <h3 class="uk-position-top-center uk-margin-remove uk-visible@s">{{ $t('Plugins') }}</h3>

        <div class="uk-text-right">
            <button class="ang-button ang-button-minor" @click.prevent="clearplugins()">{{ $t('Clear') }}</button>

            <button class="ang-button ang-button-primary ang-margin-left10" @click.prevent="updateplugins()">{{ $t('Update') }}</button>
        </div>
    </div>

    <div class="uk-overflow-auto">
        <table class="uk-table uk-table-divider uk-table-hover uk-table-small uk-table-middle uk-margin-remove">
            <thead>
                <tr>
                    <th style="width: 50px;">{{ $t('Icon') }}</th>
                    <th class="uk-table-expand uk-text-center">{{ $t('Name') }}</th>
                    <th class="uk-table-shrink uk-text-center ang-padding-right35 uk-position-relative">
                        {{ $t('Main') }}&nbsp;
                        <i class="uk-icon-button uk-link uk-position-center-right" uk-icon="trash" @click.prevent="saveplugins($t('Deleting main page successfully'), true)" :uk-tooltip="$t('Delete')" v-show="(homeurl != '')"></i>
                    </th>
                    <th class="uk-table-shrink uk-text-center">{{ $t('Status') }}</th>
                    <th class="uk-table-shrink uk-text-center">{{ $t('Version') }}</th>
                    <th class="uk-width-auto uk-text-center">{{ $t('Folder') }}</th>
                    <th colspan="2" class="uk-table-shrink uk-text-center"><i uk-icon="cog"></i></th>
                </tr>
            </thead>

            <tbody id="pluginlist" uk-sortable="animation: false; handle: .uk-sortable-handle; cls-custom: ang-panel uk-flex uk-flex-middle;">
                <tr v-if="(!plugins || plugins.length == 0)">
                    <td class="uk-text-center ang-padding-top30 ang-padding-bottom30" colspan="7">
                        {{ $t('No data available in file') }}<span class="uk-badge ang-margin-left5">"/angiv/plugin/plugins.json"</span>
                    </td>
                </tr>
                <tr v-for="(item, index) in plugins" :data-pluginid="item.dir" v-else>
                    <td class="uk-text-center">
                        <img class="uk-sortable-handle" width="50" height="50" :src="(item.icon != '' && item.icon != null && item.isremoved != 'yes') ? ('/angiv/plugin/' + item.dir + '/' + item.icon) : '/app/asset/image/theme/noplugin.png'" alt="" />
                    </td>

                    <td>
                        <template v-if="(item.isremoved == 'no')">
                            <a :href="adminurl + '/' + item.dir" v-if="((item.isused == 'on' || item.tags.includes('alwaysuse')) && listpluginspagesadmincount[item.dir] != 0)">{{ item.name }}</a>
                            <span v-else>{{ item.name }}</span>
                        </template>
                        <span class="uk-badge ang-bg-red ang-margin-left10" v-else>{{ $t('Plugin removed') }}</span>
                    </td>

                    <td class="uk-text-center">
                        <i class="uk-icon-button uk-link" :class="{'ang-border-green ang-color-green': item.homeurl != ''}" uk-icon="home" @click.prevent="changehomepage(index)" :uk-tooltip="$t('Main page')" v-if="!item.tags.includes('nohome')"></i>
                    </td>

                    <td class="uk-text-center">
                        <a class="pk-icon-circle" :class="{'isused': item.isused == 'on'}" :uk-tooltip="(item.isused == 'on') ? $t('On') : $t('Off')" @click.prevent="statusplugin(item)" v-if="!item.tags.includes('alwaysuse')"></a>
                    </td>

                    <td class="uk-text-center">{{ item.version }}</td>

                    <td class="uk-text-center uk-text-truncate">
                        <span class="uk-badge">{{ item.dir }}</span>
                    </td>

                    <td class="uk-text-center uk-text-truncate" v-if="(item.scriptdatabase != '')">
                        <i class="uk-icon-button uk-link" uk-icon="bolt" @click.prevent="executescriptdatabaseplugin(item)" :uk-tooltip="$t('Execute the database script')"></i>
                    </td>

                    <td class="uk-text-center uk-text-truncate" :colspan="(item.scriptdatabase == '') ? 2 : 1">
                        <i class="uk-icon-button uk-link" uk-icon="trash" @click.prevent="deleteplugin(item)" :uk-tooltip="$t('Delete')" v-if="!item.tags.includes('nodelete')"></i>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div id="modalpagehome" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <div class="uk-modal-header">
                <h4>{{ $t('Home page selection') }}</h4>
            </div>

            <div class="uk-modal-body ang-padding-top10 ang-padding-bottom10">
                <h3 class="uk-heading-line uk-text-center uk-margin-remove" style="line-height: unset;" v-if="(pluginactiveindx != null)">
                    <span>{{ $t('Plugin') }} &quot;{{ plugins[pluginactiveindx].name }}&quot;</span>
                </h3>
                <ul class="uk-list ang-margin10">
                    <li class="uk-text-center" v-if="(!pluginlistpages || pluginlistpages.length == 0)">
                        {{ $t('No data available') }}
                    </li>
                    <li v-for="(item, index) in pluginlistpages" v-else>
                        <label class="uk-width-1-1">
                            <input type="radio" name="page" class="uk-radio" :value="('/' + plugins[pluginactiveindx].dir + item.url)" :checked="(homeurl == ('/' + plugins[pluginactiveindx].dir + item.url))" v-model="newhomeurl">
                            {{ item.title }}
                            <span class="uk-badge uk-float-right" v-html="divideurl(item.url)"></span>
                        </label>
                    </li>
                </ul>
            </div>

            <div class="uk-modal-footer uk-text-right">
                <button class="ang-button ang-button-minor uk-modal-close">{{ $t('Close') }}</button>

                <button class="ang-button ang-margin-left10" @click.prevent="saveplugins($t('Home page saved successfully'))" v-show="(pluginlistpages && pluginlistpages.length != 0)">{{ $t('Save') }}</button>
            </div>
        </div>
    </div>
</div>