import {en_US} from '../asset/language/en_US/client.js'
import {ru_RU} from '../asset/language/ru_RU/client.js'

const routeroptions={
    moduleCache: {vue: Vue},
    getFile(url) {return fetch(url).then(response => response.ok ? response.text() : Promise.reject(response));},
    addStyle(val) {const style=document.createElement('style'); style.textContent=val; document.head.insertBefore(style, (document.head.getElementsByTagName('style')[0] || null));}
};
const vuerouter=VueRouter.createRouter({
    history: VueRouter.createWebHashHistory(),
    routes: [
        {path: '/', component: Vue.defineAsyncComponent(() => window['vue3-sfc-loader'].loadModule('/app/installer/src/component/start.vue', routeroptions))},
        {path: '/stage1', component: Vue.defineAsyncComponent(() => window['vue3-sfc-loader'].loadModule('/app/installer/src/component/stage1.vue', routeroptions))},
        {path: '/stage2', component: Vue.defineAsyncComponent(() => window['vue3-sfc-loader'].loadModule('/app/installer/src/component/stage2.vue', routeroptions))},
        {path: '/finish', component: Vue.defineAsyncComponent(() => window['vue3-sfc-loader'].loadModule('/app/installer/src/component/finish.vue', routeroptions))},
        {path: '/:catchAll(.*)', component: Vue.defineAsyncComponent(() => window['vue3-sfc-loader'].loadModule('/app/installer/src/component/notfound.vue', routeroptions))},
    ]
});

if (jsdata['isextintl'] === false) {
    var languser=(window.navigator) ? (window.navigator.language || window.navigator.systemLanguage || window.navigator.userLanguage).replace('-', '_') : 'en_US';
    if (languser != jsdata['locale']) {jsdata['locale']=languser;}
}
const vuei18n=VueI18n.createI18n({
    locale: jsdata['locale'],
    fallbackLocale: 'en_US',
    messages: {en_US, ru_RU}
});

const vueoptions={
    data() {
        return {
            isextintl: jsdata['isextintl'],
            configenv: {
                'APP_DEBUG_USE': true,
                'APP_ADMIN_URL': 'xadmin',
                'APP_LOCALE': jsdata['locale'],
                'APP_TIMEZONE': ''
            }
        }
    },

    watch: {
        'configenv.APP_ADMIN_URL': function (newval) {
            document.getElementById('buttstage2').disabled=!(newval.trim().length >= 3 && !/[^0-9A-Za-z\-_\.,~!*'()@]/.test(newval));
        }
    },

    mounted() {
        var vm=this;
        vm.$nextTick(function () {
            jsdata=null;

            if (vm.isextintl === false) {
                iziToast.show({
                    title: vm.$t('Internationalization module'),
                    message: vm.$t('It is recommended to enable extension') + ' <span class="ang-color-orange">intl</span><br />' + vm.$t('in file') + ' <span class="ang-color-orange">php.ini</span> (' + vm.$t('for example') + ', extension = intl)',
                    maxWidth: 420,
                    image: '/app/asset/image/theme/logo.short.png',
                    imageWidth: 70,
                    timeout: 10000,
                    position: 'bottomLeft',
                    progressBarColor: '#ef6c00'
                });
            }

            const mediaQuery=window.matchMedia('(prefers-reduced-motion: reduce)');
            if (!mediaQuery || mediaQuery.matches) {
                iziToast.show({
                    title: vm.$t('Animation'),
                    message: vm.$t('It looks like your OS has animation disabled, check settings:') + ' "' + vm.$t('Additional system parameters') + '<span uk-icon="arrow-right"></span>' + vm.$t('Performance') + '<span uk-icon="arrow-right"></span>' + vm.$t('Animated controls and elements inside window') + '"',
                    maxWidth: 580,
                    image: '/app/asset/image/theme/logo.short.png',
                    imageWidth: 70,
                    timeout: 10000,
                    position: 'bottomLeft',
                    progressBarColor: '#ef6c00'
                });
            }
        });
    }
}
Vue.createApp(vueoptions).use(vuerouter).use(vuei18n).mount('#installer');