<?php

use Slim\{
    Psr7\Request,
    Psr7\Response,
    Views\PhpRenderer
};

$app->get('/', function (Request $request, Response $response) use($container) {
    $locale=$container->get('translator')->getLocale();
    $isextintl=extension_loaded('intl');

    $phpcsrf=(!empty($request) ? $request->getAttribute('csrf_name', '') . '|' . $request->getAttribute('csrf_value', '') : '|');

    $renderer=new PhpRenderer(base_path('/app/installer/view/'), ['title' => __('Installation page'), 'phpcsrf' => '"' . (($phpcsrf == '|') ? '' : $phpcsrf) . '"']);
    return $renderer->render($response, 'index.php', ['phpdata' => compact('locale', 'isextintl')]);
})->
    add($container->get('csrf'));

foreach (routelist('App\installer\src\controller\ajaxController') as $route) {
    $app->map($route['methods'], '/' . $route['url'], $route['action'])->
        add($container->get('csrf'));
}