<?php

namespace App\middleware;

use Slim\{
    Routing\RouteCollector,
    Psr7\Request,
    Psr7\Response
};
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;
use Monolog\Logger;

class routelogMiddleware
{
    protected $routes;
    protected $logger;

    public function __construct(RouteCollector $routes, Logger $logger) {
        $this->routes=$routes;
        $this->logger=$logger;
    }

    public function __invoke(Request $request, RequestHandler $handler) {
        //if (in_array(strtoupper($request->getMethod()), ['GET'])) {
            $res=[];
            foreach ($this->routes->getRoutes() as $route) {
                $name=$route->getName();
                $res[]=[
                    __('Route') => $route->getPattern(),
                    __('Methods http') => "[" . implode(', ', $route->getMethods()) . "]",
                    __('Name') => (!empty($name) ? $name : '')
                ];
            }
            $this->logger->info(__('Routes list'), $res);
        //}

        return $handler->handle($request);
    }
}