<?php

namespace App\response;

use Slim\Psr7\{
    Request,
    Response
};

final class customResponse
{
    public static function json(
        Response $response,
        $data = null,
        int $status = 200,
        int $options = JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE/* | JSON_NUMERIC_CHECK*/ | JSON_PRESERVE_ZERO_FRACTION
    ) {
        $response->getBody()->write((string)json_encode($data, $options));
        return $response->withHeader('Content-Type', 'application/json')->withStatus($status);
    }

    public static function abort($message = '', Request $request = null, $code = 400) {
        $phpcsrf=(!empty($request) ? $request->getAttribute('csrf_name', '') . '|' . $request->getAttribute('csrf_value', '') : '|');
        throw new \Exception($message . (($phpcsrf == '|') ? '' : ('|' . $phpcsrf)), $code);
    }
}